File: changelog

package info (click to toggle)
pytest-pylint 0.14.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 180 kB
  • sloc: python: 579; makefile: 9
file content (124 lines) | stat: -rw-r--r-- 3,834 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
pytest-pylint (0.14.1-1) unstable; urgency=medium

  * Rebase patche
  * Bump watchfile version to 4
  * d/control: Remove unnecessary version constraints in depends
  * wrap-and-sort
  * New upstream release

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 25 Jul 2019 14:30:33 +0200

pytest-pylint (0.14.0-2) unstable; urgency=medium

  * d/control: Drop the Python 2 module
  * d/rules: Drop the Python 2 module
  * d/tests: Drop the Python 2 module test
  * Bump standards version to 4.4.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 15 Jul 2019 21:05:19 +0200

pytest-pylint (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 14:52:42 +0100

pytest-pylint (0.13.0-1) unstable; urgency=medium

  * New upstream release (Closes: #915888)
  * Add python{,3}-pytest-runner into B-D

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Dec 2018 19:49:27 +0100

pytest-pylint (0.12.3-1) unstable; urgency=medium

  * New upstream release (Closes: #909660)
  * Convert git repository from git-dpm to gbp layout
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Wed, 26 Sep 2018 20:55:14 +0200

pytest-pylint (0.9.0-2) unstable; urgency=medium

  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Disable abstract-method pylint check (Closes: #897552)
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 May 2018 13:12:34 +0200

pytest-pylint (0.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ondřej Kobližek ]
  * New upstream release
  * d/control: Add python{3}-mock to Build-Depends
  * d/tests/control: Add python{3}-mock to Depends
  * Add d/upstream/metadata file

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 06 Mar 2018 09:01:13 +0100

pytest-pylint (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/compat: Bumped debhelper version to 11
  * d/control:
    - Dropped Python 3.3 support
    - Bumped debhelper version to 11

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 07 Feb 2018 12:47:23 +0100

pytest-pylint (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Fix inconsistent-return-statements pylint error (Closes: #887573)
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Feb 2018 23:38:58 +0100

pytest-pylint (0.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper version to 10
  * d/tests: Run tests on all supported Python versions

  [ Michael Hudson-Doyle ]
  * Prevent tests in the debian/$pkg directories from being collected when
    running the tests. (Closes: #867522)

  [ Ondřej Kobližek ]
  * New upstream release
  * Https form of the copyright-format URL
  * Standards version is 4.0.0 now
  * Update upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 20 Jul 2017 15:19:38 +0200

pytest-pylint (0.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python-all build dependency
  * d/{control,copyright}: Use my @debian.org email address

  [ Ondřej Kobližek ]
  * New upstream release
  * Added upstream changelog

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 02 Aug 2016 07:56:04 +0200

pytest-pylint (0.5.0-2) unstable; urgency=medium

  * Bumped version of required pytest to 2.7

 -- Ondřej Nový <novy@ondrej.org>  Tue, 07 Jun 2016 17:04:34 +0200

pytest-pylint (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #825522)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 27 May 2016 15:45:12 +0200